package animate

import "image/color"

// Default palette to use for indexed images such as gif.
// Subject to change.
var defaultPalette = color.Palette{
	color.RGBA{R: 0x0f, G: 0x08, B: 0x13, A: 0xff},
	color.RGBA{R: 0x0f, G: 0x0d, B: 0x40, A: 0xff},
	color.RGBA{R: 0x14, G: 0x12, B: 0x67, A: 0xff},
	color.RGBA{R: 0x16, G: 0x16, B: 0x8c, A: 0xff},
	color.RGBA{R: 0x16, G: 0x1e, B: 0x13, A: 0xff},
	color.RGBA{R: 0x17, G: 0x19, B: 0xae, A: 0xff},
	color.RGBA{R: 0x1a, G: 0x19, B: 0xd0, A: 0xff},
	color.RGBA{R: 0x1a, G: 0x33, B: 0x16, A: 0xff},
	color.RGBA{R: 0x1c, G: 0x28, B: 0x3e, A: 0xff},
	color.RGBA{R: 0x1e, G: 0x31, B: 0x68, A: 0xff},
	color.RGBA{R: 0x1f, G: 0x38, B: 0x94, A: 0xff},
	color.RGBA{R: 0x1f, G: 0x3d, B: 0xc1, A: 0xff},
	color.RGBA{R: 0x20, G: 0x1d, B: 0xf1, A: 0xff},
	color.RGBA{R: 0x20, G: 0x47, B: 0x1a, A: 0xff},
	color.RGBA{R: 0x21, G: 0x3d, B: 0x40, A: 0xff},
	color.RGBA{R: 0x25, G: 0x54, B: 0x49, A: 0xff},
	color.RGBA{R: 0x25, G: 0x5b, B: 0x21, A: 0xff},
	color.RGBA{R: 0x26, G: 0x47, B: 0x66, A: 0xff},
	color.RGBA{R: 0x27, G: 0x42, B: 0xef, A: 0xff},
	color.RGBA{R: 0x28, G: 0x55, B: 0xae, A: 0xff},
	color.RGBA{R: 0x28, G: 0x5d, B: 0x75, A: 0xff},
	color.RGBA{R: 0x29, G: 0x4e, B: 0x8c, A: 0xff},
	color.RGBA{R: 0x29, G: 0x6c, B: 0x1c, A: 0xff},
	color.RGBA{R: 0x29, G: 0x7f, B: 0x21, A: 0xff},
	color.RGBA{R: 0x2a, G: 0x5e, B: 0xf0, A: 0xff},
	color.RGBA{R: 0x2c, G: 0x66, B: 0x9d, A: 0xff},
	color.RGBA{R: 0x2c, G: 0x6c, B: 0xc9, A: 0xff},
	color.RGBA{R: 0x2d, G: 0x0c, B: 0x29, A: 0xff},
	color.RGBA{R: 0x2d, G: 0x74, B: 0x4a, A: 0xff},
	color.RGBA{R: 0x2d, G: 0x86, B: 0xd5, A: 0xff},
	color.RGBA{R: 0x2e, G: 0x68, B: 0x5c, A: 0xff},
	color.RGBA{R: 0x2e, G: 0x74, B: 0xef, A: 0xff},
	color.RGBA{R: 0x2e, G: 0x90, B: 0x23, A: 0xff},
	color.RGBA{R: 0x2f, G: 0x73, B: 0x86, A: 0xff},
	color.RGBA{R: 0x30, G: 0x54, B: 0xd0, A: 0xff},
	color.RGBA{R: 0x30, G: 0x7c, B: 0xb0, A: 0xff},
	color.RGBA{R: 0x30, G: 0xa1, B: 0x29, A: 0xff},
	color.RGBA{R: 0x31, G: 0x82, B: 0x71, A: 0xff},
	color.RGBA{R: 0x32, G: 0xb2, B: 0x27, A: 0xff},
	color.RGBA{R: 0x33, G: 0x12, B: 0x54, A: 0xff},
	color.RGBA{R: 0x33, G: 0x89, B: 0x98, A: 0xff},
	color.RGBA{R: 0x34, G: 0x89, B: 0x52, A: 0xff},
	color.RGBA{R: 0x35, G: 0x97, B: 0x7e, A: 0xff},
	color.RGBA{R: 0x35, G: 0x9c, B: 0xed, A: 0xff},
	color.RGBA{R: 0x36, G: 0xb0, B: 0x68, A: 0xff},
	color.RGBA{R: 0x37, G: 0x9d, B: 0x5b, A: 0xff},
	color.RGBA{R: 0x37, G: 0xc3, B: 0x29, A: 0xff},
	color.RGBA{R: 0x38, G: 0xa8, B: 0xcb, A: 0xff},
	color.RGBA{R: 0x38, G: 0xbc, B: 0xd5, A: 0xff},
	color.RGBA{R: 0x39, G: 0x9d, B: 0xa4, A: 0xff},
	color.RGBA{R: 0x39, G: 0xd2, B: 0x2a, A: 0xff},
	color.RGBA{R: 0x39, G: 0xf0, B: 0x33, A: 0xff},
	color.RGBA{R: 0x3a, G: 0xaa, B: 0x89, A: 0xff},
	color.RGBA{R: 0x3a, G: 0xe1, B: 0x2a, A: 0xff},
	color.RGBA{R: 0x3b, G: 0x17, B: 0x83, A: 0xff},
	color.RGBA{R: 0x3d, G: 0xb3, B: 0xb1, A: 0xff},
	color.RGBA{R: 0x3d, G: 0xc8, B: 0x83, A: 0xff},
	color.RGBA{R: 0x3d, G: 0xcf, B: 0x61, A: 0xff},
	color.RGBA{R: 0x3e, G: 0x19, B: 0xaf, A: 0xff},
	color.RGBA{R: 0x3e, G: 0x93, B: 0xc1, A: 0xff},
	color.RGBA{R: 0x3e, G: 0xe3, B: 0x63, A: 0xff},
	color.RGBA{R: 0x3f, G: 0x11, B: 0x13, A: 0xff},
	color.RGBA{R: 0x3f, G: 0x88, B: 0xf4, A: 0xff},
	color.RGBA{R: 0x40, G: 0xbe, B: 0x9a, A: 0xff},
	color.RGBA{R: 0x40, G: 0xcb, B: 0xc6, A: 0xff},
	color.RGBA{R: 0x41, G: 0xbd, B: 0x5c, A: 0xff},
	color.RGBA{R: 0x42, G: 0xb0, B: 0xf0, A: 0xff},
	color.RGBA{R: 0x43, G: 0x20, B: 0xd4, A: 0xff},
	color.RGBA{R: 0x43, G: 0xe7, B: 0xf2, A: 0xff},
	color.RGBA{R: 0x44, G: 0x2c, B: 0x19, A: 0xff},
	color.RGBA{R: 0x44, G: 0xe9, B: 0xae, A: 0xff},
	color.RGBA{R: 0x44, G: 0xfc, B: 0x31, A: 0xff},
	color.RGBA{R: 0x45, G: 0xd4, B: 0xab, A: 0xff},
	color.RGBA{R: 0x45, G: 0xd5, B: 0xed, A: 0xff},
	color.RGBA{R: 0x45, G: 0xed, B: 0x89, A: 0xff},
	color.RGBA{R: 0x47, G: 0xda, B: 0x89, A: 0xff},
	color.RGBA{R: 0x47, G: 0xe3, B: 0xcf, A: 0xff},
	color.RGBA{R: 0x48, G: 0xc3, B: 0xf3, A: 0xff},
	color.RGBA{R: 0x49, G: 0xf9, B: 0x72, A: 0xff},
	color.RGBA{R: 0x4c, G: 0x33, B: 0x4a, A: 0xff},
	color.RGBA{R: 0x4c, G: 0x38, B: 0x7a, A: 0xff},
	color.RGBA{R: 0x4c, G: 0x3d, B: 0xae, A: 0xff},
	color.RGBA{R: 0x4f, G: 0x13, B: 0x3d, A: 0xff},
	color.RGBA{R: 0x4f, G: 0x45, B: 0x1e, A: 0xff},
	color.RGBA{R: 0x50, G: 0x16, B: 0x68, A: 0xff},
	color.RGBA{R: 0x50, G: 0xf8, B: 0xcd, A: 0xff},
	color.RGBA{R: 0x50, G: 0xf8, B: 0xee, A: 0xff},
	color.RGBA{R: 0x50, G: 0xfa, B: 0xa6, A: 0xff},
	color.RGBA{R: 0x54, G: 0x22, B: 0xf1, A: 0xff},
	color.RGBA{R: 0x58, G: 0x1a, B: 0x9e, A: 0xff},
	color.RGBA{R: 0x58, G: 0x5c, B: 0x25, A: 0xff},
	color.RGBA{R: 0x5b, G: 0x51, B: 0x51, A: 0xff},
	color.RGBA{R: 0x5d, G: 0x4b, B: 0xf0, A: 0xff},
	color.RGBA{R: 0x5f, G: 0x58, B: 0x80, A: 0xff},
	color.RGBA{R: 0x61, G: 0x14, B: 0x17, A: 0xff},
	color.RGBA{R: 0x61, G: 0x74, B: 0x26, A: 0xff},
	color.RGBA{R: 0x62, G: 0x5e, B: 0xb2, A: 0xff},
	color.RGBA{R: 0x63, G: 0x1d, B: 0xca, A: 0xff},
	color.RGBA{R: 0x66, G: 0x72, B: 0x98, A: 0xff},
	color.RGBA{R: 0x67, G: 0x68, B: 0xeb, A: 0xff},
	color.RGBA{R: 0x67, G: 0x79, B: 0xcb, A: 0xff},
	color.RGBA{R: 0x68, G: 0x71, B: 0x63, A: 0xff},
	color.RGBA{R: 0x68, G: 0x8c, B: 0x28, A: 0xff},
	color.RGBA{R: 0x69, G: 0x19, B: 0x83, A: 0xff},
	color.RGBA{R: 0x69, G: 0x34, B: 0x21, A: 0xff},
	color.RGBA{R: 0x6a, G: 0x47, B: 0xcb, A: 0xff},
	color.RGBA{R: 0x6b, G: 0x42, B: 0x98, A: 0xff},
	color.RGBA{R: 0x6d, G: 0x17, B: 0x5f, A: 0xff},
	color.RGBA{R: 0x6d, G: 0x3c, B: 0x65, A: 0xff},
	color.RGBA{R: 0x6d, G: 0xa5, B: 0x2e, A: 0xff},
	color.RGBA{R: 0x72, G: 0x19, B: 0x3c, A: 0xff},
	color.RGBA{R: 0x74, G: 0x88, B: 0x90, A: 0xff},
	color.RGBA{R: 0x74, G: 0x8e, B: 0x64, A: 0xff},
	color.RGBA{R: 0x76, G: 0x92, B: 0xea, A: 0xff},
	color.RGBA{R: 0x78, G: 0x1d, B: 0xab, A: 0xff},
	color.RGBA{R: 0x78, G: 0x23, B: 0xf0, A: 0xff},
	color.RGBA{R: 0x7a, G: 0xbc, B: 0x2e, A: 0xff},
	color.RGBA{R: 0x7b, G: 0x61, B: 0x27, A: 0xff},
	color.RGBA{R: 0x7c, G: 0x9c, B: 0xc1, A: 0xff},
	color.RGBA{R: 0x7d, G: 0xa9, B: 0x6c, A: 0xff},
	color.RGBA{R: 0x7e, G: 0xd0, B: 0x35, A: 0xff},
	color.RGBA{R: 0x7f, G: 0x46, B: 0x20, A: 0xff},
	color.RGBA{R: 0x7f, G: 0xa2, B: 0x96, A: 0xff},
	color.RGBA{R: 0x7f, G: 0xe5, B: 0x38, A: 0xff},
	color.RGBA{R: 0x83, G: 0x1b, B: 0x19, A: 0xff},
	color.RGBA{R: 0x83, G: 0x5b, B: 0x5c, A: 0xff},
	color.RGBA{R: 0x85, G: 0xb4, B: 0xc8, A: 0xff},
	color.RGBA{R: 0x86, G: 0x1d, B: 0x86, A: 0xff},
	color.RGBA{R: 0x87, G: 0x81, B: 0xb6, A: 0xff},
	color.RGBA{R: 0x88, G: 0x1f, B: 0xcf, A: 0xff},
	color.RGBA{R: 0x88, G: 0x50, B: 0xeb, A: 0xff},
	color.RGBA{R: 0x89, G: 0x3f, B: 0x4f, A: 0xff},
	color.RGBA{R: 0x89, G: 0x78, B: 0x2a, A: 0xff},
	color.RGBA{R: 0x89, G: 0xc3, B: 0x74, A: 0xff},
	color.RGBA{R: 0x8a, G: 0x49, B: 0x86, A: 0xff},
	color.RGBA{R: 0x8b, G: 0x64, B: 0xbc, A: 0xff},
	color.RGBA{R: 0x8c, G: 0x46, B: 0xb7, A: 0xff},
	color.RGBA{R: 0x8c, G: 0x76, B: 0xed, A: 0xff},
	color.RGBA{R: 0x8d, G: 0x68, B: 0x89, A: 0xff},
	color.RGBA{R: 0x8d, G: 0x93, B: 0x2f, A: 0xff},
	color.RGBA{R: 0x8e, G: 0x1c, B: 0x63, A: 0xff},
	color.RGBA{R: 0x8e, G: 0xf9, B: 0x37, A: 0xff},
	color.RGBA{R: 0x8f, G: 0xcf, B: 0xc9, A: 0xff},
	color.RGBA{R: 0x90, G: 0xaa, B: 0xee, A: 0xff},
	color.RGBA{R: 0x90, G: 0xbd, B: 0xa0, A: 0xff},
	color.RGBA{R: 0x90, G: 0xda, B: 0xa6, A: 0xff},
	color.RGBA{R: 0x91, G: 0x19, B: 0x40, A: 0xff},
	color.RGBA{R: 0x91, G: 0xdf, B: 0x7a, A: 0xff},
	color.RGBA{R: 0x93, G: 0xc6, B: 0xee, A: 0xff},
	color.RGBA{R: 0x93, G: 0xe2, B: 0xed, A: 0xff},
	color.RGBA{R: 0x95, G: 0x78, B: 0x65, A: 0xff},
	color.RGBA{R: 0x97, G: 0xac, B: 0x31, A: 0xff},
	color.RGBA{R: 0x98, G: 0x1e, B: 0xa8, A: 0xff},
	color.RGBA{R: 0x9b, G: 0x25, B: 0xf0, A: 0xff},
	color.RGBA{R: 0x9c, G: 0x5d, B: 0x27, A: 0xff},
	color.RGBA{R: 0xa0, G: 0x1d, B: 0x1e, A: 0xff},
	color.RGBA{R: 0xa0, G: 0xf8, B: 0x80, A: 0xff},
	color.RGBA{R: 0xa2, G: 0x42, B: 0x26, A: 0xff},
	color.RGBA{R: 0xa3, G: 0x8c, B: 0xed, A: 0xff},
	color.RGBA{R: 0xa5, G: 0x20, B: 0x81, A: 0xff},
	color.RGBA{R: 0xa5, G: 0x89, B: 0x95, A: 0xff},
	color.RGBA{R: 0xa5, G: 0x92, B: 0x6c, A: 0xff},
	color.RGBA{R: 0xa5, G: 0xf8, B: 0xb2, A: 0xff},
	color.RGBA{R: 0xa6, G: 0xf9, B: 0xe7, A: 0xff},
	color.RGBA{R: 0xaa, G: 0x21, B: 0xcc, A: 0xff},
	color.RGBA{R: 0xaa, G: 0x49, B: 0x67, A: 0xff},
	color.RGBA{R: 0xaa, G: 0x81, B: 0x2d, A: 0xff},
	color.RGBA{R: 0xaa, G: 0xc2, B: 0x36, A: 0xff},
	color.RGBA{R: 0xab, G: 0x4e, B: 0x9c, A: 0xff},
	color.RGBA{R: 0xab, G: 0x5c, B: 0xf0, A: 0xff},
	color.RGBA{R: 0xab, G: 0xab, B: 0x74, A: 0xff},
	color.RGBA{R: 0xac, G: 0x1e, B: 0x54, A: 0xff},
	color.RGBA{R: 0xac, G: 0xd6, B: 0x34, A: 0xff},
	color.RGBA{R: 0xac, G: 0xe9, B: 0x3a, A: 0xff},
	color.RGBA{R: 0xad, G: 0x62, B: 0x5f, A: 0xff},
	color.RGBA{R: 0xad, G: 0x71, B: 0xc8, A: 0xff},
	color.RGBA{R: 0xad, G: 0x93, B: 0xc6, A: 0xff},
	color.RGBA{R: 0xaf, G: 0x4d, B: 0xc9, A: 0xff},
	color.RGBA{R: 0xaf, G: 0x6e, B: 0x97, A: 0xff},
	color.RGBA{R: 0xb1, G: 0xa4, B: 0xa6, A: 0xff},
	color.RGBA{R: 0xb3, G: 0x98, B: 0x2f, A: 0xff},
	color.RGBA{R: 0xb3, G: 0xe6, B: 0xbf, A: 0xff},
	color.RGBA{R: 0xb5, G: 0x6b, B: 0x2b, A: 0xff},
	color.RGBA{R: 0xb7, G: 0x22, B: 0xa6, A: 0xff},
	color.RGBA{R: 0xbb, G: 0x27, B: 0xef, A: 0xff},
	color.RGBA{R: 0xbb, G: 0xae, B: 0x37, A: 0xff},
	color.RGBA{R: 0xbc, G: 0x21, B: 0x24, A: 0xff},
	color.RGBA{R: 0xbd, G: 0xb9, B: 0xbf, A: 0xff},
	color.RGBA{R: 0xbd, G: 0xc9, B: 0x7b, A: 0xff},
	color.RGBA{R: 0xbf, G: 0x4b, B: 0x27, A: 0xff},
	color.RGBA{R: 0xc1, G: 0x21, B: 0x7d, A: 0xff},
	color.RGBA{R: 0xc2, G: 0xb0, B: 0xe6, A: 0xff},
	color.RGBA{R: 0xc2, G: 0xe3, B: 0x86, A: 0xff},
	color.RGBA{R: 0xc3, G: 0xce, B: 0xea, A: 0xff},
	color.RGBA{R: 0xc5, G: 0xce, B: 0xb1, A: 0xff},
	color.RGBA{R: 0xc5, G: 0xfa, B: 0x3b, A: 0xff},
	color.RGBA{R: 0xc6, G: 0x76, B: 0xee, A: 0xff},
	color.RGBA{R: 0xc7, G: 0x79, B: 0x6b, A: 0xff},
	color.RGBA{R: 0xc8, G: 0x23, B: 0x54, A: 0xff},
	color.RGBA{R: 0xc8, G: 0xe6, B: 0xe9, A: 0xff},
	color.RGBA{R: 0xc9, G: 0x96, B: 0xeb, A: 0xff},
	color.RGBA{R: 0xca, G: 0x4e, B: 0x87, A: 0xff},
	color.RGBA{R: 0xcd, G: 0x24, B: 0xc9, A: 0xff},
	color.RGBA{R: 0xce, G: 0xb2, B: 0x87, A: 0xff},
	color.RGBA{R: 0xcf, G: 0x53, B: 0x5f, A: 0xff},
	color.RGBA{R: 0xcf, G: 0x56, B: 0xb7, A: 0xff},
	color.RGBA{R: 0xcf, G: 0x84, B: 0x30, A: 0xff},
	color.RGBA{R: 0xcf, G: 0x8f, B: 0xa8, A: 0xff},
	color.RGBA{R: 0xd0, G: 0x53, B: 0xe8, A: 0xff},
	color.RGBA{R: 0xd0, G: 0x94, B: 0x75, A: 0xff},
	color.RGBA{R: 0xd1, G: 0xd1, B: 0x3c, A: 0xff},
	color.RGBA{R: 0xd2, G: 0x7a, B: 0xc5, A: 0xff},
	color.RGBA{R: 0xd3, G: 0x6f, B: 0x92, A: 0xff},
	color.RGBA{R: 0xd4, G: 0xba, B: 0x36, A: 0xff},
	color.RGBA{R: 0xd4, G: 0xe7, B: 0x3d, A: 0xff},
	color.RGBA{R: 0xd5, G: 0x68, B: 0x2c, A: 0xff},
	color.RGBA{R: 0xd6, G: 0x24, B: 0xa3, A: 0xff},
	color.RGBA{R: 0xd6, G: 0x9e, B: 0x36, A: 0xff},
	color.RGBA{R: 0xd7, G: 0x21, B: 0x22, A: 0xff},
	color.RGBA{R: 0xd9, G: 0x24, B: 0xef, A: 0xff},
	color.RGBA{R: 0xde, G: 0x49, B: 0x27, A: 0xff},
	color.RGBA{R: 0xdf, G: 0x22, B: 0x7a, A: 0xff},
	color.RGBA{R: 0xe4, G: 0x24, B: 0x4f, A: 0xff},
	color.RGBA{R: 0xe6, G: 0xf5, B: 0xba, A: 0xff},
	color.RGBA{R: 0xe6, G: 0xf7, B: 0x87, A: 0xff},
	color.RGBA{R: 0xe9, G: 0xa5, B: 0xb5, A: 0xff},
	color.RGBA{R: 0xeb, G: 0xf5, B: 0xea, A: 0xff},
	color.RGBA{R: 0xec, G: 0xbc, B: 0xe9, A: 0xff},
	color.RGBA{R: 0xed, G: 0xdb, B: 0x87, A: 0xff},
	color.RGBA{R: 0xed, G: 0xdb, B: 0xbb, A: 0xff},
	color.RGBA{R: 0xee, G: 0xbf, B: 0xb7, A: 0xff},
	color.RGBA{R: 0xef, G: 0x50, B: 0x90, A: 0xff},
	color.RGBA{R: 0xef, G: 0xa1, B: 0xeb, A: 0xff},
	color.RGBA{R: 0xef, G: 0xc0, B: 0x81, A: 0xff},
	color.RGBA{R: 0xef, G: 0xd8, B: 0xeb, A: 0xff},
	color.RGBA{R: 0xf0, G: 0x27, B: 0xc6, A: 0xff},
	color.RGBA{R: 0xf0, G: 0x5f, B: 0xed, A: 0xff},
	color.RGBA{R: 0xf0, G: 0x81, B: 0xea, A: 0xff},
	color.RGBA{R: 0xf0, G: 0x8d, B: 0xbe, A: 0xff},
	color.RGBA{R: 0xf0, G: 0xf7, B: 0x3c, A: 0xff},
	color.RGBA{R: 0xf1, G: 0x5d, B: 0x68, A: 0xff},
	color.RGBA{R: 0xf1, G: 0x77, B: 0x37, A: 0xff},
	color.RGBA{R: 0xf1, G: 0x81, B: 0x7e, A: 0xff},
	color.RGBA{R: 0xf2, G: 0x58, B: 0xc3, A: 0xff},
	color.RGBA{R: 0xf2, G: 0x90, B: 0x36, A: 0xff},
	color.RGBA{R: 0xf2, G: 0xa1, B: 0x7f, A: 0xff},
	color.RGBA{R: 0xf2, G: 0xab, B: 0x3a, A: 0xff},
	color.RGBA{R: 0xf2, G: 0xc5, B: 0x3b, A: 0xff},
	color.RGBA{R: 0xf3, G: 0x70, B: 0xa8, A: 0xff},
	color.RGBA{R: 0xf3, G: 0xde, B: 0x40, A: 0xff},
	color.RGBA{R: 0xf4, G: 0x26, B: 0x9d, A: 0xff},
	color.RGBA{R: 0xf4, G: 0x2b, B: 0xee, A: 0xff},
	color.RGBA{R: 0xf5, G: 0x26, B: 0x2a, A: 0xff},
	color.RGBA{R: 0xf5, G: 0x57, B: 0x2c, A: 0xff},
	color.RGBA{R: 0xf7, G: 0x29, B: 0x69, A: 0xff},
	color.RGBA{R: 0x00, G: 0x00, B: 0x00, A: 0x00},
}
